corda / net.corda.node.services.vault / CashBalanceAsMetricsObserver

# CashBalanceAsMetricsObserver

`class CashBalanceAsMetricsObserver`

This class observes the vault and reflect current cash balances as exposed metrics in the monitoring service.

### Constructors

<init> | `CashBalanceAsMetricsObserver(serviceHubInternal: ServiceHubInternal, database: Database)` This class observes the vault and reflect current cash balances as exposed metrics in the monitoring service.

### Properties

database | `val database: Database`
serviceHubInternal | `val serviceHubInternal: ServiceHubInternal`